import { Container, Ticker } from "pixi.js";

export class Base extends Container {

  constructor() {
    super();
    setTimeout(() => {
      this.onLoad();
    }, 0);
  }

  protected onLoad() {

  }

  protected onDestroy() {

  }

  protected onUpdate(time: Ticker) {

  }

  destroy() {
    this.onDestroy();
    super.destroy();
  }
}
